Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041237
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 15:542019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision5c4436714166
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041237: FIN_BankstatementImport is not using bind-params

DescriptionThe following functions are not using bind-params:
- matchPreviousBSL
- findBPByName
- matchBusinessPartnerByNameTokens(String, Organization)


Example wrong code:
      whereClause.append(" and b." + BusinessPartner.PROPERTY_ORGANIZATION + ".id in (");
      whereClause.append(Utility.getInStrSet(
          new OrganizationStructureProvider().getNaturalTree(organization.getId())) + ") ");

When fixing please apply new HQL-style to all the file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041417 closedcollazoandy4 Apply HQL style guide to FIN_BankstatementImport 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113579)
collazoandy4 (developer)
2019-07-22 23:59

Test Plan
 Install the OFX Bank Statement Format module and apply the dataset
 Go to Financial Account and select Cuenta de Banco record
 Clic on Import Statement and select a valid OFX file and check the process ends without errors
(0113879)
hgbot (developer)
2019-08-07 14:07

Repository: erp/devel/pi
Changeset: 5c4436714166541ed74368cd3d1b6decb5ec5ccb
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 22 15:00:30 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/5c4436714166541ed74368cd3d1b6decb5ec5ccb [^]

Fixes issue 41237: FIN_BankstatementImport is not using bind-params

Added bind-params in matchPreviousBSL, findBPByName and
matchBusinessPartnerByNameTokens(String, Organization) methods

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
---
(0113881)
Sandrahuguet (developer)
2019-08-07 14:10

code review + testing ok
(0114216)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 15:54 shuehner New Issue
2019-07-02 15:54 shuehner Assigned To => Triage Finance
2019-07-02 15:54 shuehner Modules => Core
2019-07-02 15:54 shuehner Triggers an Emergency Pack => No
2019-07-02 15:54 shuehner Relationship added blocks 0038136
2019-07-04 12:15 shuehner Target Version => 3.0PR19Q4
2019-07-22 16:04 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-22 16:04 collazoandy4 Status new => scheduled
2019-07-22 23:59 collazoandy4 Note Added: 0113579
2019-08-07 12:50 Sandrahuguet Relationship added related to 0041417
2019-08-07 14:07 hgbot Checkin
2019-08-07 14:07 hgbot Note Added: 0113879
2019-08-07 14:07 hgbot Status scheduled => resolved
2019-08-07 14:07 hgbot Resolution open => fixed
2019-08-07 14:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5c4436714166541ed74368cd3d1b6decb5ec5ccb [^]
2019-08-07 14:10 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-07 14:10 Sandrahuguet Note Added: 0113881
2019-08-07 14:10 Sandrahuguet Status resolved => closed
2019-08-07 14:10 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114216


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker